<?php

/** 
* Polish Language File developed by mybboard.pl for Poll on Index 0.3
* Tłumaczenie: Gigi
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/ 


###################################
# Plugin poll on Index 0.2        #
# (c) 2008-2009 by krafdi.de      #
# Website: http://www.krafdi.de   #
# All rights reserved             #
###################################
if(!defined("IN_MYBB")) {
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

### Benötigte Daten für das Plugin-System ###
$plugins->add_hook("index_start", "poll_on_index");
$plugins->add_hook("portal_start", "poll_on_index");

### Informationen zum Plugin ###
function poll_on_index_info()
{
	return array(
		"name"        => "Poll on Index",
		"title"       => "Poll_on_Index",
		"description" => "Wyświetla wybraną ankietę na stronie głównej.",
		"website"     => "http://www.krafdi.de",
		"author"      => "Krafdi.de",
		"authorsite"  => "http://www.krafdi.de",
		"version"     => "0.3",
		'guid'        => '40f4bd2c995c0a9f51f1315bc1bb6797',
        'compatibility' => '14*,16*'
		);
}

### Aktivierung ###
function poll_on_index_activate()
{
	global $db;

    require MYBB_ROOT."/inc/adminfunctions_templates.php";
	find_replace_templatesets("index", '#{\$forums}#', "{\$pollbox}\n{\$forums}");
    find_replace_templatesets("portal", '#{\$announcements}#', "{\$pollbox}\n{\$announcements}");

	// Einstellungsgruppe hinzufügen
    $poi_group = array(
		"gid" =>			NULL,
		"name" =>			"Poll_on_index",
		"title" =>			"Poll on Index",
		"description" =>	"Ustawienia wyświetlania ankiety na stronie głównej.",
		"disporder" =>		"40",
		"isdefault" =>		"no"
	);
    $db->insert_query("settinggroups", $poi_group);
	$gid = $db->insert_id();

// Einstellungen hinzufügen
    $poi_1 = array(
		"sid"			=> "NULL",
		"name"			=> "polltoshow",
		"title"			=> "Wyświetlana ankieta",
		"description"	=> "ID ankiety (PID), która ma być wyświetlana. Jeśli to pole pozostanie puste, to nic nie zostanie wyświetlone.",
		"optionscode"	=> "text",
		"value"			=> "",
		"disporder"		=> "1",
		"gid"			=> intval($gid)
	);
	$db->insert_query("settings", $poi_1);


// Einstellungen hinzufügen
	$poi_2 = array(
		"sid" => "NULL",
		"name" => "poll_on_index",
		"title" => "Ankieta na forum",
		"description" => "Czy wybrana ankieta ma być wyświetlana na stronie głównej forum?",
		"optionscode" => "yesno",
        "value" => "1",
		"disporder" => "2",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $poi_2);


// Einstellungen hinzufügen
	$poi_3 = array(
		"sid" => "NULL",
		"name" => "poll_on_portal",
		"title" => "Ankieta na portalu",
		"description" => "Czy wybrana ankieta ma być wyświetlana na stronie portalu?",
		"optionscode" => "yesno",
        "value" => "1",
		"disporder" => "3",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $poi_3);



}

### Deaktivierung ###
function poll_on_index_deactivate()
{
	global $db;

    require MYBB_ROOT."/inc/adminfunctions_templates.php";
    find_replace_templatesets("index", '#{\$pollbox}(\n?)#', '', 0);
    find_replace_templatesets("portal", '#{\$pollbox}(\n?)#', '', 0);

// Einstellungen entfernen
    $db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='poll_on_index'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='polltoshow'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='poll_on_portal'");
    $db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='poll_on_index'");
}

### Funktion aufrufen und Ausgeben ###
function poll_on_index()
	{
        global $mybb, $db, $templates, $theme, $lang, $pollbox;
###### Schauen welche Seite und ob die Umfrage aus Ausgegeben werden soll?? #############
        $current_page = my_strtolower(basename(THIS_SCRIPT));
        if ($current_page == 'index.php' && $mybb->settings['poll_on_index'] == '1'|| $current_page == 'portal.php'&& $mybb->settings['poll_on_portal'] == '1' )
        {

        $lang->load("showthread");
        $parser = new postParser;


		$options = array(
			"limit" => 1
		);

    $query = $db->simple_select("polls", "*", "pid='".$mybb->settings['polltoshow']."'", $options);
	$poll = $db->fetch_array($query);
     if ($poll != '')
       {
		$poll['timeout'] = $poll['timeout']*60*60*24;
		$expiretime = $poll['dateline'] + $poll['timeout'];
		$now = TIME_NOW;

		// If the poll or the thread is closed or if the poll is expired, show the results.
		if($poll['closed'] == 1 || $thread['closed'] == 1 || ($expiretime < $now && $poll['timeout'] > 0))
		{
			$showresults = 1;
		}

		// If the user is not a guest, check if he already voted.
		if($mybb->user['uid'] != 0)
		{
			$query = $db->simple_select("pollvotes", "*", "uid='".$mybb->user['uid']."' AND pid='".$poll['pid']."'");
			while($votecheck = $db->fetch_array($query))
			{
				$alreadyvoted = 1;
				$votedfor[$votecheck['voteoption']] = 1;
			}
		}
		else
		{
			if($mybb->cookies['pollvotes'][$poll['pid']])
			{
				$alreadyvoted = 1;
			}
		}
		$optionsarray = explode("||~|~||", $poll['options']);
		$votesarray = explode("||~|~||", $poll['votes']);
		$poll['question'] = htmlspecialchars_uni($poll['question']);
		$polloptions = '';
		$totalvotes = 0;

		for($i = 1; $i <= $poll['numoptions']; ++$i)
		{
			$poll['totvotes'] = $poll['totvotes'] + $votesarray[$i-1];
		}

	    //Loop through the poll options.
		for($i = 1; $i <= $poll['numoptions']; ++$i)
		{
			// Set up the parser options.
			$parser_options = array(
				"allow_html" => $forum['allowhtml'],
				"allow_mycode" => $forum['allowmycode'],
				"allow_smilies" => $forum['allowsmilies'],
				"allow_imgcode" => $forum['allowimgcode'],
				"filter_badwords" => 1
			);

			$option = $parser->parse_message($optionsarray[$i-1], $parser_options);
			$votes = $votesarray[$i-1];
			$totalvotes += $votes;
			$number = $i;

			// Mark the option the user voted for.
			if($votedfor[$number])
			{
				$optionbg = "trow2";
				$votestar = "*";
			}
			else
			{
				$optionbg = "trow1";
				$votestar = "";
			}

            	// If the user already voted or if the results need to be shown, do so; else show voting screen.
			if($alreadyvoted || $showresults)
			{
				if(intval($votes) == "0")
				{
					$percent = "0";
				}
				else
				{
					$percent = number_format($votes / $poll['totvotes'] * 100, 2);
				}
				$imagewidth = round(($percent/3) * 5);
				$imagerowwidth = $imagewidth + 10;
				eval("\$polloptions .= \"".$templates->get("showthread_poll_resultbit")."\";");
			}
			else
			{
				if($poll['multiple'] == 1)
				{
					eval("\$polloptions .= \"".$templates->get("showthread_poll_option_multiple")."\";");
				}
				else
				{
					eval("\$polloptions .= \"".$templates->get("showthread_poll_option")."\";");
				}
			}
		}

		// If there are any votes at all, all votes together will be 100%; if there are no votes, all votes together will be 0%.
		if($poll['totvotes'])
		{
			$totpercent = "100%";
		}
		else
		{
			$totpercent = "0%";
		}

		// Check if user is allowed to edit posts; if so, show "edit poll" link.
		if(!is_moderator($fid, 'caneditposts'))
		{
			$edit_poll = '';
		}
		else
		{
			$edit_poll = "| <a href=\"polls.php?action=editpoll&amp;pid={$poll['pid']}\">{$lang->edit_poll}</a>";
		}

		// Decide what poll status to show depending on the status of the poll and whether or not the user voted already.
		if($alreadyvoted || $showresults)
		{
			if($alreadyvoted)
			{
				$pollstatus = $lang->already_voted;
			}
			else
			{
				$pollstatus = $lang->poll_closed;
			}
			$lang->total_votes = $lang->sprintf($lang->total_votes, $totalvotes);
			eval("\$pollbox = \"".$templates->get("showthread_poll_results")."\";");

		}
		else
		{
			$publicnote = '&nbsp;';
			if($poll['public'] == 1)
			{
				$publicnote = $lang->public_note;
			}
			eval("\$pollbox = \"".$templates->get("showthread_poll")."\";");

		}

        }

      }
	}

?>